Subject: bug#76726: 30.1; elint will intermittently crash

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Mar 2025 16:10:35 +0200

> From: Charles Choi <[email-masked]>
> Date: Mon, 3 Mar 2025 15:33:55 -0800
> 
> * Title
> elint will intermittently crash
> 
> *** Description
> Invocation of elint commands will intermittently crash Emacs. I have seen this on both Emacs 30.1 on macOS and on PGTK Linux.
> 
> *** Environment
> GNU Emacs 30.1 (build 2, aarch64-apple-darwin24.3.0, NS appkit-2575.40 Version 15.3.1 (Build 24D70)) of 2025-02-27
> 
> Darwin bingsu.local 24.3.0 Darwin Kernel Version 24.3.0: Thu Jan  2 20:24:16 PST 2025; root:xnu-11215.81.4~3/RELEASE_ARM64_T6000 arm64 arm Darwin
> 
> *** Steps to Reproduce
> 
> 1. Clone repo https://github.com/kickingvegas/calle24
> 2. Run M-x elint-directory on calle24/lisp
>    
> *** Expected Result
> Running elint should not crash.
> 
> *** Actual Result
> 
> Elint will intermittently crash.
> 
> If it does not then it often returns warning messages that do not make sense.
> 
> Attached is a crash log and a screenshot of the macOS console log
> showing incidents of this crash.

I cannot reproduce this, but I'm not on macOS.  I've invoked
elint-directory 15 times and didn't see any crashes or warnings.